Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004469 [DCSS] Upload: Maps and Vaults feature N/A 2011-08-31 07:00 2012-01-10 04:49
Reporter evilmike View Status public  
Assigned To dpeg
Priority normal Resolution done  
Status closed   Product Branch 0.10 ancient branch
Summary 0004469: Catoblepas lair ending
Description Contains 3 catoblepas (one of them at the end of a corridor), some yaks, death yaks, sheep, a couple of statues, and some loot. The loot is comparable to other lair endings. The layout is such that there are no guaranteed bottlenecks, except for the final corridor which has a catoblepas on the other end. Reckless players might be tempted to back into it. Petrification is obviously the main threat in this vault. Stone areas signify a guaranteed catoblepas, although the random one has no such warning.

I have a few "petrified plants" here as flavour, they don't actually behave differently from normal plants.

Wensley suggested that I put "mud" in the vault, using the same effect of leda's liquefaction. This seems like an interesting idea, but I don't think there's a good way of doing this (the best I can come up with is making a statue that casts it, but this behaves weirdly if you kill the statue). Might be worth trying for another vault though.
Additional Information
Tags No tags attached.
Attached Files txt file icon catlobe lair.txt [^] (1,873 bytes) 2011-08-31 07:00 [Show Content]

- Relationships

-  Notes
(0014423)
due (developer)
2011-08-31 10:41

In theory, it should be possible to mask the relevant sections of the map with the relevant area flag, but it would require considerable tweaking to the areas code in the C++. It might be better to just signify an FPROP for it that can be added to the ground...
(0014442)
dpeg (administrator)
2011-09-01 14:45

Very nice lair ending, in without changes. Many thanks once more!

- Issue History
Date Modified Username Field Change
2011-08-31 07:00 evilmike New Issue
2011-08-31 07:00 evilmike File Added: catlobe lair.txt
2011-08-31 10:41 due Note Added: 0014423
2011-08-31 15:46 dpeg Assigned To => dpeg
2011-09-01 14:45 dpeg Note Added: 0014442
2011-09-01 14:45 dpeg Status new => resolved
2011-09-01 14:45 dpeg Fixed in Branch => 0.10 development branch
2011-09-01 14:45 dpeg Resolution open => done
2012-01-10 04:49 evilmike Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker